cross compile(schroot) xen tool for arm64

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

cross compile(schroot) xen tool for arm64

ls00722
Hi:
  This is same as my previous followup post on "booting xen on hikey", But
I'd like to post it under new topic to get some attention or in case someone
had the similar question.

I was trying to cross-compile the xen tool(xl) for my hikey board.

I am aware of this instruction:
https://wiki.xen.org/wiki/Xen_ARM_with_Virtualization_Extensions/CrossCompiling#Xen_Version

Since it requires the chroot environment to be the same as dom0 and i found
out this:
https://github.com/Jeeppler/xen-note/blob/master/arm64/hikey/hikey-xen-build-tools.md

Is more closer to what I have, except my build machine is ubuntu(32 bit).
So I was following above procedure, and everything seems fine until I try to
configure xen:

/(chroot)#sudo CONFIG_SITE=/etc/dpkg-cross/cross-config.arm64 ./configure
--build=i686-unknown-linux-gnu --host=aarch64-linux-gnu/

It complains:

/checking for glib... no
configure: error: Package requirements (glib-2.0 >= 2.12) were not met:

No package 'glib-2.0' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix./

And my chroot environment does seem to have glib-2.0 installed, running
"dpkg -l | grep arm64"

/ii  libglib2.0-0:arm64           2.42.1-1+b1                      arm64      
GLib library of C routines
ii  libglib2.0-dev               2.42.1-1+b1                      arm64      
Development files for the GLib library/

I also noticed that when i was installing the "libglib2.0-dev:arm64 " as
specified in the instruction.

I have this messages at the end of apt-get install:

/Processing triggers for libglib2.0-0:arm64 (2.42.1-1+b1) ...
/var/lib/dpkg/info/libglib2.0-0:arm64.postinst: 13:
/var/lib/dpkg/info/libglib2.0-0:arm64.postinst:
/usr/lib/aarch64-linux-gnu/glib-2.0/glib-compile-schemas: not found
Processing triggers for libglib2.0-0:i386 (2.42.1-1+b1) ...
No schema files found: doing nothing.
Setting up libglib2.0-dev (2.42.1-1+b1) .../

At this point, i am not sure which step i did was wrong and lead to this
error.

The error i saw is the same as this old post:
https://lists.xenproject.org/archives/html/xen-users/2014-05/msg00208.html

But the thread didn't seem to mention how the error was passed?

Can someone give me some pointers?

Thanks
chris




--
Sent from: http://xen.1045712.n5.nabble.com/Xen-User-f2551083.html

_______________________________________________
Xen-users mailing list
[hidden email]
https://lists.xenproject.org/mailman/listinfo/xen-users
Reply | Threaded
Open this post in threaded view
|

Re: cross compile(schroot) xen tool for arm64

ls00722
I had to update my build machine from ubuntu 14.03 to 16.03 to get rid of all
the error.

chris



--
Sent from: http://xen.1045712.n5.nabble.com/Xen-User-f2551083.html

_______________________________________________
Xen-users mailing list
[hidden email]
https://lists.xenproject.org/mailman/listinfo/xen-users